--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Returns the number of fields (columns) in the query result.
- !ruby/struct:SM::Flow::P 
  body: Similar to <tt>res.result[0].length</tt> (but faster).
full_name: PGresult#num_fields
is_singleton: false
name: num_fields
params: |
  res.num_fields()

visibility: public
